namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "first_impression")]
public class FirstImpression : Script, IScriptStopBeforeMove
{
    public void StopBeforeMove(IExecutingMove move, ref bool stop)
    {
        var battleData = move.User.BattleData;
        if (battleData == null)
            return;
        if (battleData.SwitchInTurn != battleData.Battle.CurrentTurnNumber)
            stop = true;
    }
}